Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5
Class ComponentParameterConstants

    java.lang.Object
      org.apache.tapestry5.ComponentParameterConstants

    public class ComponentParameterConstants

extends java.lang.Object

Constants for core component parameters defined by `Symbol`

Since:
  5.3

Field Summary
`static java.lang.String` | `FORMINJECTOR_INSERT_POSITION` The default position where to insert content into `Form`.
`static java.lang.String` | `FORMINJECTOR_SHOW_FUNCTION` The default name for a JS function to use to show the injected content by `FormInjector`.
`static java.lang.String` | `GRID_EMPTY_BLOCK` The default name of the `Block` used to display an empty `Grid`.
`static java.lang.String` | `GRID_PAGER_POSITION` The default position of the `Grid` pager.
`static java.lang.String` | `GRID_ROWS_PER_PAGE` The default number for how many rows to display in a `Grid` page.
`static java.lang.String` | `GRID_TABLE_CSS_CLASS` The default name of the CSS class for the <table> element of the `Grid` component.
`static java.lang.String` | `GRIDCOLUMNS_ASCENDING_ASSET` The default `Asset` to display in `GridColumns` header for ascending sort action.
`static java.lang.String` | `GRIDCOLUMNS_DESCENDING_ASSET` The default `Asset` to display in `GridColumns` header for descending sort action.
`static java.lang.String` | `GRIDCOLUMNS_SORTABLE_ASSET` The default `Asset` to display in `GridColumns` header for identifying a sortable column.
`static java.lang.String` | `GRIDPAGER_PAGE_RANGE` The default number of page range to display in the `GridPager` before and after the current page.
`static java.lang.String` | `PALETTE_ROWS_SIZE` The default size of rows to display in a `Palette` component.
`static java.lang.String` | `ZONE_SHOW_METHOD` The default name of a JS function attached to Tapestry.ElementEffect object to use for the initial visualization of a `Zone`.
`static java.lang.String` | `ZONE_UPDATE_METHOD` The default name of a JS function attached to Tapestry.ElementEffect object to point out an update on a `Zone`.

Constructor Summary
`ComponentParameterConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRID_ROWS_PER_PAGE

    public static final java.lang.String GRID_ROWS_PER_PAGE

  The default number for how many rows to display in a `Grid` page.

  See Also:
    Constant Field Values

### GRID_PAGER_POSITION

    public static final java.lang.String GRID_PAGER_POSITION

  The default position of the `Grid` pager.

  See Also:
    Constant Field Values

### GRID_EMPTY_BLOCK

    public static final java.lang.String GRID_EMPTY_BLOCK

  The default name of the `Block` used to display an empty `Grid`.

  See Also:
    Constant Field Values

### GRID_TABLE_CSS_CLASS

    public static final java.lang.String GRID_TABLE_CSS_CLASS

  The default name of the CSS class for the <table> element of the `Grid` component.

  See Also:
    Constant Field Values

### GRIDPAGER_PAGE_RANGE

    public static final java.lang.String GRIDPAGER_PAGE_RANGE

  The default number of page range to display in the `GridPager` before and after the current page.

  See Also:
    Constant Field Values

### GRIDCOLUMNS_ASCENDING_ASSET

    public static final java.lang.String GRIDCOLUMNS_ASCENDING_ASSET

  The default `Asset` to display in `GridColumns` header for ascending sort action.

  See Also:
    Constant Field Values

### GRIDCOLUMNS_DESCENDING_ASSET

    public static final java.lang.String GRIDCOLUMNS_DESCENDING_ASSET

  The default `Asset` to display in `GridColumns` header for descending sort action.

  See Also:
    Constant Field Values

### GRIDCOLUMNS_SORTABLE_ASSET

    public static final java.lang.String GRIDCOLUMNS_SORTABLE_ASSET

  The default `Asset` to display in `GridColumns` header for identifying a sortable column.

  See Also:
    Constant Field Values

### FORMINJECTOR_INSERT_POSITION

    public static final java.lang.String FORMINJECTOR_INSERT_POSITION

  The default position where to insert content into `Form`. Default to "above".

  See Also:
    Constant Field Values

### FORMINJECTOR_SHOW_FUNCTION

    public static final java.lang.String FORMINJECTOR_SHOW_FUNCTION

  The default name for a JS function to use to show the injected content by `FormInjector`. Default to "highlight".

  See Also:
    Constant Field Values

### PALETTE_ROWS_SIZE

    public static final java.lang.String PALETTE_ROWS_SIZE

  The default size of rows to display in a `Palette` component. Default to 10.

  See Also:
    Constant Field Values

### ZONE_SHOW_METHOD

    public static final java.lang.String ZONE_SHOW_METHOD

  The default name of a JS function attached to Tapestry.ElementEffect object to use for the initial visualization of a `Zone`. Defaults to "show"

  See Also:
    Constant Field Values

### ZONE_UPDATE_METHOD

    public static final java.lang.String ZONE_UPDATE_METHOD

  The default name of a JS function attached to Tapestry.ElementEffect object to point out an update on a `Zone`. Defaults to "highlight"

  See Also:
    Constant Field Values

Constructor Detail

### ComponentParameterConstants

    public ComponentParameterConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.